package ab.issue.db.model;

import android.arch.persistence.room.Embedded;

import ab.issue.model.Barcode;
import ab.issue.model.values.GeoBarcodeFormat;

public class GeoBarcode extends BarcodeFormatValueWrapper<GeoBarcodeFormat> {

    @Embedded
    public Barcode barcode;

    @Embedded
    public GeoBarcodeFormat geoBarcodeFormat;

    @Override
    protected Barcode getBarcode() {
        return barcode;
    }

    @Override
    protected GeoBarcodeFormat getFormatValue() {
        return geoBarcodeFormat;
    }
}
